printer_create_brush
printer_create_font
Printer Functions
PHP Manual

# printer_create_dc

Create a new device context

### Description

void printer_create_dc ( resource `$printer_handle` )

The function creates a new device context. A device context is used to customize the graphic objects of the document.

### Parameters

`printer_handle`

  `printer_handle` must be a valid printer handle.

### Return Values

No value is returned.

### Examples

Example #1 printer_create_dc example

`<?php
$handle = printer_open();
printer_start_doc($handle);
printer_start_page($handle);
printer_create_dc($handle);
/* do some stuff with the dc */
printer_set_option($handle, PRINTER_TEXT_COLOR, "333333");
printer_draw_text($handle, 1, 1, "text");
printer_delete_dc($handle);
/* create another dc */
printer_create_dc($handle);
printer_set_option($handle, PRINTER_TEXT_COLOR, "000000");
printer_draw_text($handle, 1, 1, "text");
/* do some stuff with the dc */
printer_delete_dc($handle);
printer_end_page($handle);
printer_end_doc($handle);
printer_close($handle);
?>`